com.google.gwt.event.dom.client

## Interface HasAllMouseHandlers

- All Superinterfaces:
    HasHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasMouseWheelHandlers
  All Known Subinterfaces:
    DialogBox.Caption
  All Known Implementing Classes:
    Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FileUpload, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

      public interface HasAllMouseHandlers
      extends HasMouseDownHandlers, HasMouseUpHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseMoveHandlers, HasMouseWheelHandlers

  This is a convenience interface that includes all mouse handlers defined by the core GWT system.

  WARNING, PLEASE READ: As this interface is intended for developers who wish to handle all mouse events in GWT, new mouse event handlers will be added to it. Therefore, updates can cause breaking API changes.

- - ### Method Summary

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseDownHandlers

      `addMouseDownHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseUpHandlers

      `addMouseUpHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseOutHandlers

      `addMouseOutHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseOverHandlers

      `addMouseOverHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseMoveHandlers

      `addMouseMoveHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseWheelHandlers

      `addMouseWheelHandler`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`